all: tft_test

tft_test: tft_test.o tft.o RAIO8870.o bmp.o examples.o
	gcc tft_test.o tft.o RAIO8870.o bmp.o examples.o -lbcm2835 -lrt -lm -o tft_test

tft.o: tft.c tft.h
	gcc -Os -c tft.c

tft_test.o: tft_test.c 
	gcc -Os -c tft_test.c
	
RAIO8870.o: RAIO8870.c RAIO8870.h
	gcc -Os -c RAIO8870.c

bmp.o: bmp.c bmp.h 
	gcc -Os -c bmp.c
	
examples.o: examples.c examples.h bmp.h
	gcc -Os -c examples.c

clean:
	rm -rf *o test_tft

